> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get domains count

> Get count of domain records based on query



## OpenAPI

````yaml post /v1/domain/count
openapi: 3.0.1
info:
  title: Odin
  description: >-
    ODIN APIs to search across IP Services, CVEs, Exposed Files/Buckets, Domains
    and more
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.odin.io/
security: []
paths:
  /v1/domain/count:
    post:
      tags:
        - domain
      summary: Get domains count
      description: Get count of domain records based on query
      requestBody:
        description: Query
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/dns.DNSCountRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/dns.APIResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/dns.Data'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dns.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dns.ErrorResponse'
components:
  schemas:
    dns.DNSCountRequest:
      type: object
      properties:
        domain:
          type: string
        keyword:
          type: string
        publishedAfter:
          type: string
        publishedBefore:
          type: string
    dns.APIResponse:
      type: object
      properties:
        data:
          type: object
        pagination:
          type: object
        success:
          type: boolean
    dns.Data:
      type: object
      properties:
        count:
          type: integer
    dns.ErrorResponse:
      type: object
      properties:
        message:
          type: string
        success:
          type: boolean

````